version 9
capture log close
log using "section1_3.smcl", replace
*
* section 1_3.do
* Author: Ian Timaeus
* Date: 3 October 2004
*
clear
*
* drop null records created during data entry for households with no deaths
*
use "section1_3 full.dta", clear /* dated 31/3/2005: 1142 records */
drop if pcode==-2 /* 460 records */
*
* drop "extinct core" section 1.3s for 2 deaths whose 1998 household was
* actually surviving and the 2nd section 1.3 record for 1 death in an extinct
* household that was reported twice
*
drop if hhid2004==225021000 & ckn==-2
drop if hhid2004==197006000 & pcode==1 & die_datm==9
*
* clean up mistyped dates
*
replace die_daty=2004 if die_daty==204
replace die_daty=-4 if die_daty==1995
*
* set dates of death to mid-month
*
replace die_date=mdy(die_datm,15,die_daty) if die_datm>0 & die_daty>0
replace die_date=die_date-1 if die_daty>0 & die_datm==2
replace die_date=. if die_datm<0 | die_daty<0
*
drop draid qesnum a1 hhid_DRA
*
* generate new total expenditure before death
*
gen byte miss = 0
replace miss = (med_c<0)+(travel_c<0)+(health_c<0)+(hosp_c<0)+(other_c<0) 
gen long tot_c_edt = med_c + travel_c + health_c + hosp_c + other_c
replace tot_c_edt = -4 if miss>0
replace tot_c_edt=-1 if miss == (med_c==-1)+(travel_c==-1)+(health_c==-1) ///
	+(hosp_c==-1)+(other_c==-1)
replace tot_c_edt=-2 if miss == (med_c==-2)+(travel_c==-2)+(health_c==-2) ///
	+(hosp_c==-2)+(other_c==-2)
replace tot_c_edt=-3 if miss == (med_c==-3)+(travel_c==-3)+(health_c==-3) ///
	+(hosp_c==-3)+(other_c==-3)
replace tot_c_edt = total_c if tot_c_edt<0 & total_c>=0
label var tot_c_edt "total amount spent from items or summary question"
label val tot_c_edt q12
move tot_c_edt savings
drop miss
*
* tidy up
*
label drop a1_1
label drop q2
label val dieinj_yn q5a

sort hhid2004 pcode
save section1_3, replace

log close
